Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myclass
Class UsedId

    java.lang.Object
      mycompiler.myclass.UsedId

    public class UsedId

extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `name`
`de.dhbwstuttgart.typeinference.Menge` | `vParaOrg`

Constructor Summary
`UsedId()`

Method Summary
`java.lang.String` | `get_codegen_UsedId()`
`java.lang.String` | `get_Name_1Element()`
`de.dhbwstuttgart.typeinference.Menge` | `get_Name()`
`de.dhbwstuttgart.typeinference.Menge` | `get_ParaList()`
`de.dhbwstuttgart.typeinference.Menge` | `get_Typen()`
`de.dhbwstuttgart.typeinference.Menge` | `get_vParaOrg()`
`void` | `set_Name(java.lang.String name)`
`void` | `set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)`
`void` | `set_Typen(de.dhbwstuttgart.typeinference.Menge t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public de.dhbwstuttgart.typeinference.Menge name

### vParaOrg

    public de.dhbwstuttgart.typeinference.Menge vParaOrg

Constructor Detail

### UsedId

    public UsedId()

Method Detail

### set_Name

    public void set_Name(java.lang.String name)

### get_Name

    public de.dhbwstuttgart.typeinference.Menge get_Name()

### get_Name_1Element

    public java.lang.String get_Name_1Element()

### set_Typen

    public void set_Typen(de.dhbwstuttgart.typeinference.Menge t)

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)

### get_ParaList

    public de.dhbwstuttgart.typeinference.Menge get_ParaList()

### get_vParaOrg

    public de.dhbwstuttgart.typeinference.Menge get_vParaOrg()

### get_Typen

    public de.dhbwstuttgart.typeinference.Menge get_Typen()

### get_codegen_UsedId

    public java.lang.String get_codegen_UsedId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD